## jfreact-redux

**Summary**
It allows you to use redux as convenient and simple as vue, and you can also directly copy vuex store module files


**Install**

```
npm i jfreact-redux --save
```

**how to use**

1. Create a store directory under src as:
```
store
│   README.md  
│
└───modules
│   │   example.js
│   │   example2.js
│   
└───index.js
```

2. example.js code as:
```javascript
const data = {
  namespaced: true,
  state: () => ({
    name: '',
    age: 0,
    sex: ''
  }),
  mutations: {
    INIT_PERSONAL(state, params) {
      console.info('执行', state, params)
      state.name = params.name
      state.age = params.age
      state.sex = params.sex
    },
  },
  actions: {
    initPersonal(context, params) {
      context.commit('', {
        name: '芝士奶盖',
        age: 24,
        sex: '男'
      })
    }
  }
}
export default data
```

3. index.js code as:
```javascript
import store from '@/store'

ReactDOM.render(
  <Provider store={store}>
    <App />
    <div id="cust-map-cont"></div>
  </Provider>,
  document.getElementById('root')
)
```

4. inject to your component as:
```javascript
import { mapState } from 'jfreact-redux'

@mapState(['im'])
class PrivateRoom extends React.component {

}
```
